Bug 947346 - Read of attribute 'useragent' is not supported
Summary: Read of attribute 'useragent' is not supported
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: librepo
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Mlcoch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-02 08:01 UTC by Ales Kozumplik
Modified: 2014-09-30 23:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-20 19:28:38 UTC


Attachments (Terms of Use)

Description Ales Kozumplik 2013-04-02 08:01:15 UTC
The following tracebacks:

        import librepo
        handle = librepo.Handle()
        handle.useragent = 'dnf'
        print handle.useragent

AttributeError: Read of attribute 'useragent' is not supported

Simple handle attributes like useragent should be readable. This is useful e.g. in unittests and when debugging.

Comment 2 Fedora Update System 2013-04-08 14:40:18 UTC
librepo-0.0.2-3.20130408git720d68d.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/librepo-0.0.2-3.20130408git720d68d.fc19

Comment 3 Fedora Update System 2013-04-20 19:28:40 UTC
librepo-0.0.2-3.20130408git720d68d.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.